//---------------------------------
// Name:			Main.cpp
// Purpose:			Firmware packager application entry point
// Toolchain(s):	Microsoft Visual C++
// Creation date:	02-Jun-06
// Created by:		JJo
//---------------------------------

//---------------------------------
// Includes

#include <afxwin.h>
#include "GUI/MainDialog.h"

//---------------------------------
// Defines

#define APP_NAME	"Firmware Packager"

//---------------------------------
// Class

class Main : public CWinApp {

public:
	Main::Main() : CWinApp(APP_NAME) {}
	Main::~Main() {}

	virtual BOOL Main::InitInstance() {

		try {

			// Create main dialog
			this->m_pMainWnd = new MainDialog();
			this->m_pMainWnd->ShowWindow(SW_SHOWNORMAL);
		}
		catch (CException * e) {

			e->ReportError();
			e->Delete();
			return FALSE;
		}

		return TRUE;
	}
};

//---------------------------------
// Application

Main theApp;